> ## Name

> cgCreateArraySamplerState - create an array-typed sampler state definition

> ## Synopsis

>     #include <Cg/cg.h>

>     CGstate cgCreateArraySamplerState( CGcontext context,
>                                        const char * name,
>                                        CGtype type,
>                                        int nelements );

> ## Parameters

> context
>   The context in which to define the sampler state.
> name
>   The name of the new sampler state.
> type
>   The type of the new sampler state.
> nelements
>   The number of elements in the array.

> ## Return Values

> Returns a handle to the newly created CGstate.

> Returns NULL if there is an error.

> ## Description

> cgCreateArraySamplerState adds a new array-typed sampler state definition to context. All state in sampler_state blocks must have been defined ahead of time via a call to cgCreateSamplerState or cgCreateArraySamplerState before adding an effect file to the context.

> Applications will typically call cgSetStateCallbacks shortly after creating a new state with cgCreateArraySamplerState.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> CG_INVALID_PARAMETER_ERROR is generated if name is NULL or not a valid identifier, if type is not a simple scalar, vector, or matrix-type, or if nelements is not a positive number.

> ## History

> cgCreateArraySamplerState was introduced in Cg 1.4.

> ## See Also

> cgCreateSamplerState, cgGetStateName, cgGetStateType, cgIsState, cgSetStateCallbacks, cgGLRegisterStates